Subject: Re: HFL Solutions | EH-202010191659-288495 | Modify Order
From: "- Dr. Sam Robbins -" <[email-masked]>
To: [email-masked]
Cc: manager <[email-masked]>, "Deb ([email-masked])" <[email-masked]>
Date: Thu, 22 Oct 2020 09:11:39 -0700

Vincent - if you login to UC, you can see the tracking code
https://tools.usps.com/go/TrackConfirmAction?qtc_tLabels1=UM601197645US

USPS has been very slow lately.

I don't care if the customer is asking 10x a day. They will be notified
when it's processed and shipped, since THEY made a mistake. We now of to
manually stop and redo everything. Customs paperwork also has to be redone,
so they don't get charged extra duties and fees.

Thank you

On Thu, Oct 22, 2020 at 3:52 AM HFL Support Team <[email-masked]> wrote:

> Hi Dr.Sam,
>
> Please review asap, As customers become impatient and follow up twice or
> thrice a day asking the same question about the status of his order.
> Therefore, please update and let us know.
>
> We are waiting for your revert.
>
>
> Thanks & Regards
> Vincent
>
> On Tue, Oct 20, 2020 at 5:06 AM HFL Support Team <[email-masked]>
> wrote:
>
>> Hi Dr Sam,
>>
>> Customer mistakenly added the 2 Blood Flow Optimizer, he wants to us to
>> remove it from the order and send only Alphaviril. I have put the status on
>> Hold in SS.
>> Please do update the order and once done, we can refund customer for the
>> 2 bottles of BFO.
>>
>> Name: Daniel Ramírez Gil
>> Order ID : EH-202010191659-288495
>>
>> Regards,
>> Kae
>>
>